# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class DatasetsDatasourceBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'datasource_id': 'str',
        'separator': 'str',
        'decimal': 'str'
    }

    attribute_map = {
        'name': 'name',
        'datasource_id': 'datasource_id',
        'separator': 'separator',
        'decimal': 'decimal'
    }

    def __init__(self, name=None, datasource_id=None, separator=None, decimal=None):  # noqa: E501
        """DatasetsDatasourceBody - a model defined in Swagger"""  # noqa: E501
        self._name = None
        self._datasource_id = None
        self._separator = None
        self._decimal = None
        self.discriminator = None
        if name is not None:
            self.name = name
        if datasource_id is not None:
            self.datasource_id = datasource_id
        if separator is not None:
            self.separator = separator
        if decimal is not None:
            self.decimal = decimal

    @property
    def name(self):
        """Gets the name of this DatasetsDatasourceBody.  # noqa: E501

        dataset name  # noqa: E501

        :return: The name of this DatasetsDatasourceBody.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this DatasetsDatasourceBody.

        dataset name  # noqa: E501

        :param name: The name of this DatasetsDatasourceBody.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def datasource_id(self):
        """Gets the datasource_id of this DatasetsDatasourceBody.  # noqa: E501

        dataset separator  # noqa: E501

        :return: The datasource_id of this DatasetsDatasourceBody.  # noqa: E501
        :rtype: str
        """
        return self._datasource_id

    @datasource_id.setter
    def datasource_id(self, datasource_id):
        """Sets the datasource_id of this DatasetsDatasourceBody.

        dataset separator  # noqa: E501

        :param datasource_id: The datasource_id of this DatasetsDatasourceBody.  # noqa: E501
        :type: str
        """

        self._datasource_id = datasource_id

    @property
    def separator(self):
        """Gets the separator of this DatasetsDatasourceBody.  # noqa: E501

        dataset separator  # noqa: E501

        :return: The separator of this DatasetsDatasourceBody.  # noqa: E501
        :rtype: str
        """
        return self._separator

    @separator.setter
    def separator(self, separator):
        """Sets the separator of this DatasetsDatasourceBody.

        dataset separator  # noqa: E501

        :param separator: The separator of this DatasetsDatasourceBody.  # noqa: E501
        :type: str
        """

        self._separator = separator

    @property
    def decimal(self):
        """Gets the decimal of this DatasetsDatasourceBody.  # noqa: E501

        dataset char  # noqa: E501

        :return: The decimal of this DatasetsDatasourceBody.  # noqa: E501
        :rtype: str
        """
        return self._decimal

    @decimal.setter
    def decimal(self, decimal):
        """Sets the decimal of this DatasetsDatasourceBody.

        dataset char  # noqa: E501

        :param decimal: The decimal of this DatasetsDatasourceBody.  # noqa: E501
        :type: str
        """
        allowed_values = [",", "."]  # noqa: E501
        if decimal not in allowed_values:
            raise ValueError(
                "Invalid value for `decimal` ({0}), must be one of {1}"  # noqa: E501
                .format(decimal, allowed_values)
            )

        self._decimal = decimal

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(DatasetsDatasourceBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, DatasetsDatasourceBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
